CentOS 7 and HP G60 Network Cards

Issues related to hardware problems
User avatar
TrevorH
Forum Moderator
Posts: 26862
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: CentOS 7 and HP G60 Network Cards

Post by TrevorH » 2017/09/11 06:17:35

Definitely worth install the ELRepo repo as you have a package from there installed now and then it will update when you run yum update. Your wireless card may also have drivers there too but you'd need to use their guide to find out which one based on the pci vendor/device id pair.
CentOS 5 died in March 2017 - migrate NOW!
CentOS 6 goes EOL sooner rather than later, get upgrading!
Full time Geek, part time moderator. Use the FAQ Luke

Datsys
Posts: 11
Joined: 2017/02/18 15:38:41

Re: CentOS 7 and HP G60 Network Cards

Post by Datsys » 2017/09/11 11:57:25

Thanks very much everyone, I really appreciate the help.

SRCM.CH
Posts: 1
Joined: 2019/04/08 16:50:14

Re: CentOS 7 and HP G60 Network Cards

Post by SRCM.CH » 2019/04/08 17:16:15

Hi,
I have a HP G60 445 DX laptop and I am facing the same issue.

I just wiped/formatted my hard disk and installed Cent OS 7 (minimal) version. While installing, during the network setup, I did not get any devices listed to select the network interface. I simply entered the hostname and continued. The setup completed smoothly and I did not errors. After logging in as root I noticed that except loopback nothing is listed while I query for ip a. I tried running lspci but I get lspci command not found.

I went ahead and download ElRepo rpm elrepo-release-7.0-3.el7.elrepo.noarch.rpm. It installed successfully. The I tried to install kmod-forcedeth-0.64-3.el7_5.elrepo.x86_64.rpm but it complained that I do not have all the dependencies.

Code: Select all

...
Error: Package: kmod-forcedeth-0.64-3.el7_5.elrepo.x86_64 (/kmod-forcedeth-0.64-3.el7_5.elrepo.x86_64)
  Requires: kernel(napi_schedule_prep) = 0xa3aadec9
Error: Package: kmod-forcedeth-0.64-3.el7_5.elrepo.x86_64 (/kmod-forcedeth-0.64-3.el7_5.elrepo.x86_64)
  Requires: kernel(alloc_etherdev_mqs_rh) = 0xa0bc067d
Error: Package: kmod-forcedeth-0.64-3.el7_5.elrepo.x86_64 (/kmod-forcedeth-0.64-3.el7_5.elrepo.x86_64)
  Requires: kernel(__x86_indirect_thunk_r10) = 0x7e526bfa
Error: Package: kmod-forcedeth-0.64-3.el7_5.elrepo.x86_64 (/kmod-forcedeth-0.64-3.el7_5.elrepo.x86_64)
  Requires: kernel(sme_me_mask) = 0x17fbce60
Error: Package: kmod-forcedeth-0.64-3.el7_5.elrepo.x86_64 (/kmod-forcedeth-0.64-3.el7_5.elrepo.x86_64)
  Requires: kernel(__x86_indirect_thunk_r9) = 0xdf566a59
Error: Package: kmod-forcedeth-0.64-3.el7_5.elrepo.x86_64 (/kmod-forcedeth-0.64-3.el7_5.elrepo.x86_64)
  Requires: kernel >=3.10.0-862.el7
  Installed: kernel-3.10.0-693.el7.x86_64 (@anaconda)
    kernel = 3.10.0-693.el7

User avatar
toracat
Forum Moderator
Posts: 7386
Joined: 2006/09/03 16:37:24
Location: California, US
Contact:

Re: CentOS 7 and HP G60 Network Cards

Post by toracat » 2019/04/09 05:39:03

That elrepo package requires at least the kernel from CentOS 7.5. Your kernel (3.10.0-693.el7) seems to be from CentOS 7.4.
CentOS Forum FAQ

Post Reply

Return to “CentOS 7 - Hardware Support”